#!/bin/sh

# ToDo implement me
exit 1

BASEDIR="$(dirname $0)"
DEVICE="$1"
MOUNTPOINT="$2"
PASSWORD="$3"
KEYFILE="$4"

if [ -r "$BASEDIR/truecrypt_config.cfg" ]
then
	. "$BASEDIR/truecrypt_config.cfg"
else
	echo "truecrypt_config.cfg not found" >&2
	exit 1
fi



truecrypt -c /dev/sdb /tmp/mnt/ --quick -p 'Test1234!' -k /home/spawn/mytestkey.key --filesystem=none --encryption=AES --hash=RIPEMD-160 --non-interactive

if [ -z "$KEYFILE" ]
then
	message="$($tc_cmd --non-interactive "$DEVICE" "$MOUNTPOINT" -p "$PASSWORD")"
else
	message="$($tc_cmd --non-interactive "$DEVICE" "$MOUNTPOINT" -p "$PASSWORD" -k "$KEYFILE")"
fi
	
result="$?"

if [ "$result" != "0" ]
then
	exit 1
fi

echo "$message"
exit 0